odf.attrconverters Namespace Reference

## Classes

class | AttrConverters

## Functions

def | make_NCName (arg)
def | cnv_angle (attribute, arg, element)
def | cnv_anyURI (attribute, arg, element)
def | cnv_boolean (attribute, arg, element)
| XML Schema Part 2: Datatypes Second Edition An instance of a datatype that is defined as boolean can have the following legal literals {true, false, 1, 0}. More...
def | cnv_color (attribute, arg, element)
| A RGB color in conformance with §5.9.11 of [XSL], that is a RGB color in notation “::rrggbb”, where rr, gg and bb are 8-bit hexadecimal digits. More...
def | cnv_configtype (attribute, arg, element)
def | cnv_data_source_has_labels (attribute, arg, element)
def | cnv_date (attribute, arg, element)
| A dateOrDateTime value is either an [xmlschema-2] date value or an [xmlschema-2] dateTime value. More...
def | cnv_dateTime (attribute, arg, element)
| A dateOrDateTime value is either an [xmlschema-2] date value or an [xmlschema-2] dateTime value. More...
def | cnv_double (attribute, arg, element)
def | cnv_draw_aspect (attribute, arg, element)
def | cnv_duration (attribute, arg, element)
def | cnv_family (attribute, arg, element)
| A style family. More...
def | cnv_formula (attribute, arg, element)
| A string containing a formula. More...
def | cnv_ID (attribute, arg, element)
def | cnv_IDREF (attribute, arg, element)
def | cnv_integer (attribute, arg, element)
def | cnv_language (attribute, arg, element)
def | cnv_legend_position (attribute, arg, element)
def | cnv_length (attribute, arg, element)
| A (positive or negative) physical length, consisting of magnitude and unit, in conformance with the Units of Measure defined in §5.9.13 of [XSL]. More...
def | cnv_lengthorpercent (attribute, arg, element)
def | cnv_list_linkage_type (attribute, arg, element)
def | cnv_metavaluetype (attribute, arg, element)
def | cnv_major_minor (attribute, arg, element)
def | cnv_namespacedToken (attribute, arg, element)
def | cnv_NCName (attribute, arg, element)
| NCName is defined in http://www.w3.org/TR/REC-xml-names/#NT-NCName Essentially an XML name minus ':'. More...
def | cnv_StyleNameRef (attribute, arg, element)
def | cnv_DrawNameRef (attribute, arg, element)
def | cnv_NCNames (attribute, arg, element)
def | cnv_nonNegativeInteger (attribute, arg, element)
def | cnv_percent (attribute, arg, element)
def | cnv_points (attribute, arg, element)
def | cnv_positiveInteger (attribute, arg, element)
def | cnv_rowOrCol (attribute, arg, element)
def | cnv_string (attribute, arg, element)
def | cnv_stroke_linecap (attribute, arg, element)
def | cnv_textnoteclass (attribute, arg, element)
def | cnv_time (attribute, arg, element)
def | cnv_token (attribute, arg, element)
def | cnv_viewbox (attribute, arg, element)
def | cnv_xlinkshow (attribute, arg, element)
def | cnv_xlinktype (attribute, arg, element)

## Variables

| pattern_color = re.compile(r'#[0-9a-fA-F]{6}')
| pattern_vector3D = re.compile(r'\([ ]*-?([0-9]+(\.[0-9]*)?|\.[0-9]+)([ ]+-?([0-9]+(\.[0-9]*)?|\.[0-9]+)){2}[ ]*\)')
| pattern_language = re.compile(r'[a-zA-Z]{1,8}(-[a-zA-Z0-9]{1,8})*')
| pattern_length = re.compile(r'-?([0-9]+(\.[0-9]*)?|\.[0-9]+)((cm)|(mm)|(in)|(pt)|(pc)|(px))')
| pattern_namespacedToken = re.compile(r'[0-9a-zA-Z_]+:[0-9a-zA-Z._\-]+')
| pattern_percent = re.compile(r'-?([0-9]+(\.[0-9]*)?|\.[0-9]+)%')
| pattern_points = re.compile(r'-?[0-9]+,-?[0-9]+([ ]+-?[0-9]+,-?[0-9]+)*')
| pattern_viewbox = re.compile(r'-?[0-9]+([ ]+-?[0-9]+){3}$')
dictionary | attrconverters

## Function Documentation

## cnv_angle()

def odf.attrconverters.cnv_angle | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 34 of file attrconverters.py.

## cnv_anyURI()

def odf.attrconverters.cnv_anyURI | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 40 of file attrconverters.py.

## cnv_boolean()

def odf.attrconverters.cnv_boolean | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

XML Schema Part 2: Datatypes Second Edition An instance of a datatype that is defined as boolean can have the following legal literals {true, false, 1, 0}.

Definition at line 48 of file attrconverters.py.

## cnv_color()

def odf.attrconverters.cnv_color | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

A RGB color in conformance with §5.9.11 of [XSL], that is a RGB color in notation “::rrggbb”, where rr, gg and bb are 8-bit hexadecimal digits.

Definition at line 60 of file attrconverters.py.

## cnv_configtype()

def odf.attrconverters.cnv_configtype | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 63 of file attrconverters.py.

## cnv_data_source_has_labels()

def odf.attrconverters.cnv_data_source_has_labels | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 69 of file attrconverters.py.

## cnv_date()

def odf.attrconverters.cnv_date | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

A dateOrDateTime value is either an [xmlschema-2] date value or an [xmlschema-2] dateTime value.

Definition at line 79 of file attrconverters.py.

## cnv_dateTime()

def odf.attrconverters.cnv_dateTime | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

A dateOrDateTime value is either an [xmlschema-2] date value or an [xmlschema-2] dateTime value.

Definition at line 86 of file attrconverters.py.

## cnv_double()

def odf.attrconverters.cnv_double | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 89 of file attrconverters.py.

## cnv_draw_aspect()

def odf.attrconverters.cnv_draw_aspect | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 92 of file attrconverters.py.

## cnv_DrawNameRef()

def odf.attrconverters.cnv_DrawNameRef | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 220 of file attrconverters.py.

## cnv_duration()

def odf.attrconverters.cnv_duration | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 97 of file attrconverters.py.

## cnv_family()

def odf.attrconverters.cnv_family | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

A style family.

Definition at line 102 of file attrconverters.py.

## cnv_formula()

def odf.attrconverters.cnv_formula | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

A string containing a formula.

Formulas do not have a predefined syntax, but the string should begin with a namespace prefix, followed by a “:” (COLON, U+003A) separator, followed by the text of the formula. The namespace bound to the prefix determines the syntax and semantics of the formula.

Definition at line 125 of file attrconverters.py.

## cnv_ID()

def odf.attrconverters.cnv_ID | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 128 of file attrconverters.py.

## cnv_IDREF()

def odf.attrconverters.cnv_IDREF | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 131 of file attrconverters.py.

## cnv_integer()

def odf.attrconverters.cnv_integer | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 134 of file attrconverters.py.

## cnv_language()

def odf.attrconverters.cnv_language | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 139 of file attrconverters.py.

## cnv_legend_position()

def odf.attrconverters.cnv_legend_position | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 145 of file attrconverters.py.

## cnv_length()

def odf.attrconverters.cnv_length | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

A (positive or negative) physical length, consisting of magnitude and unit, in conformance with the Units of Measure defined in §5.9.13 of [XSL].

Definition at line 156 of file attrconverters.py.

Here is the caller graph for this function:

## cnv_lengthorpercent()

def odf.attrconverters.cnv_lengthorpercent | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 162 of file attrconverters.py.

Here is the call graph for this function:

## cnv_list_linkage_type()

def odf.attrconverters.cnv_list_linkage_type | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 172 of file attrconverters.py.

## cnv_major_minor()

def odf.attrconverters.cnv_major_minor | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 182 of file attrconverters.py.

## cnv_metavaluetype()

def odf.attrconverters.cnv_metavaluetype | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 177 of file attrconverters.py.

## cnv_namespacedToken()

def odf.attrconverters.cnv_namespacedToken | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 189 of file attrconverters.py.

## cnv_NCName()

def odf.attrconverters.cnv_NCName | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

NCName is defined in http://www.w3.org/TR/REC-xml-names/#NT-NCName Essentially an XML name minus ':'.

Definition at line 200 of file attrconverters.py.

Here is the call graph for this function:

## cnv_NCNames()

def odf.attrconverters.cnv_NCNames | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 227 of file attrconverters.py.

## cnv_nonNegativeInteger()

def odf.attrconverters.cnv_nonNegativeInteger | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 230 of file attrconverters.py.

## cnv_percent()

def odf.attrconverters.cnv_percent | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 235 of file attrconverters.py.

Here is the caller graph for this function:

## cnv_points()

def odf.attrconverters.cnv_points | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 244 of file attrconverters.py.

## cnv_positiveInteger()

def odf.attrconverters.cnv_positiveInteger | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 257 of file attrconverters.py.

## cnv_rowOrCol()

def odf.attrconverters.cnv_rowOrCol | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 260 of file attrconverters.py.

## cnv_string()

def odf.attrconverters.cnv_string | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 265 of file attrconverters.py.

## cnv_stroke_linecap()

def odf.attrconverters.cnv_stroke_linecap | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 271 of file attrconverters.py.

## cnv_StyleNameRef()

def odf.attrconverters.cnv_StyleNameRef | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 210 of file attrconverters.py.

## cnv_textnoteclass()

def odf.attrconverters.cnv_textnoteclass | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 276 of file attrconverters.py.

## cnv_time()

def odf.attrconverters.cnv_time | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 282 of file attrconverters.py.

## cnv_token()

def odf.attrconverters.cnv_token | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 285 of file attrconverters.py.

## cnv_viewbox()

def odf.attrconverters.cnv_viewbox | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 290 of file attrconverters.py.

## cnv_xlinkshow()

def odf.attrconverters.cnv_xlinkshow | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 296 of file attrconverters.py.

## cnv_xlinktype()

def odf.attrconverters.cnv_xlinktype | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 301 of file attrconverters.py.

## make_NCName()

def odf.attrconverters.make_NCName | ( |  | arg | ) |

Definition at line 29 of file attrconverters.py.

Here is the caller graph for this function:

## Variable Documentation

## attrconverters

dictionary odf.attrconverters.attrconverters

Definition at line 307 of file attrconverters.py.

## pattern_color

odf.attrconverters.pattern_color = re.compile(r'#[0-9a-fA-F]{6}')

Definition at line 26 of file attrconverters.py.

## pattern_language

odf.attrconverters.pattern_language = re.compile(r'[a-zA-Z]{1,8}(-[a-zA-Z0-9]{1,8})*')

Definition at line 137 of file attrconverters.py.

## pattern_length

odf.attrconverters.pattern_length = re.compile(r'-?([0-9]+(\.[0-9]*)?|\.[0-9]+)((cm)|(mm)|(in)|(pt)|(pc)|(px))')

Definition at line 150 of file attrconverters.py.

## pattern_namespacedToken

odf.attrconverters.pattern_namespacedToken = re.compile(r'[0-9a-zA-Z_]+:[0-9a-zA-Z._\-]+')

Definition at line 187 of file attrconverters.py.

## pattern_percent

odf.attrconverters.pattern_percent = re.compile(r'-?([0-9]+(\.[0-9]*)?|\.[0-9]+)%')

Definition at line 233 of file attrconverters.py.

## pattern_points

odf.attrconverters.pattern_points = re.compile(r'-?[0-9]+,-?[0-9]+([ ]+-?[0-9]+,-?[0-9]+)*')

Definition at line 242 of file attrconverters.py.

## pattern_vector3D

odf.attrconverters.pattern_vector3D = re.compile(r'\([ ]*-?([0-9]+(\.[0-9]*)?|\.[0-9]+)([ ]+-?([0-9]+(\.[0-9]*)?|\.[0-9]+)){2}[ ]*\)')

Definition at line 27 of file attrconverters.py.

## pattern_viewbox

odf.attrconverters.pattern_viewbox = re.compile(r'-?[0-9]+([ ]+-?[0-9]+){3}$')

Definition at line 288 of file attrconverters.py.